Road User Tools エージェント & API プラットフォーム
距離を変換
キロメートル、メートル、マイル、ヤード、フィートの間で変換します。
インターフェース
POST
REST エンドポイント
/api/v1/distance/convertMCP
ツール名
convert_distanceリクエスト
リクエストを JSON として送信します。 MCP クライアントは、同じフィールドをツール引数として渡します。
cURLshell
curl -X POST https://roaduser.tools/api/v1/distance/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 10,
"from": "km",
"to": "mi"
}'リクエストボディjson
{
"value": 10,
"from": "km",
"to": "mi"
}応答
REST は、計算結果を標準の成功エンベロープにラップします。 MCP は、構造化ツールの出力と同じ計算データを返します。
JSON
{
"ok": true,
"data": {
"input": {
"value": 10,
"from": "km",
"to": "mi"
},
"conversions": {
"km": 10,
"m": 10000,
"mi": 6.2137119223733395,
"yd": 10936.132983377078,
"ft": 32808.39895013123
},
"result": 6.2137119223733395
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}スキーマ
以下の定義は、入力の検証と出力の説明に使用される完全な JSON スキーマを示しています。
入力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Distance value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Input distance unit."
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}出力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"to": {
"type": "string",
"enum": [
"km",
"m",
"mi",
"yd",
"ft"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"km": {
"type": "number"
},
"m": {
"type": "number"
},
"mi": {
"type": "number"
},
"yd": {
"type": "number"
},
"ft": {
"type": "number"
}
},
"required": [
"km",
"m",
"mi",
"yd",
"ft"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}